"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.oracleApiTest = void 0;
const oracledb_1 = __importDefault(require("oracledb"));
const fail = (message) => {
    const msg = typeof message === 'string'
        ? message
        : typeof message === 'undefined'
            ? 'Auth failed'
            : `Auth failed: ${JSON.stringify(message)}`;
    return {
        status: 'Error',
        message: msg,
    };
};
const success = (message) => {
    const msg = typeof message === 'undefined'
        ? 'Authentication successful!'
        : message;
    return {
        status: 'OK',
        message: msg,
    };
};
async function oracleApiTest(credentials) {
    const creds = credentials.data;
    try {
        const connectionConfig = {
            user: creds.user,
            password: creds.password,
            connectString: `${creds.host}:${creds.port}/${creds.sid}`,
            externalAuth: false,
        };
        await oracledb_1.default.getConnection(connectionConfig);
    }
    catch (error) {
        return fail(error);
    }
    return success();
}
exports.oracleApiTest = oracleApiTest;
//# sourceMappingURL=OracleApiTest.js.map